# Declare images used by this game.
image bg UI = "UI_7.jpg"
image bg peason_room = "gui/peason_room3.jpg"
image bg chapelle = "gui/chapelle.jpg"
image bg nobless_room = "gui/salon_jardin2.jpg"
image bg diplomat_room = "gui/diplomat_room.jpg"
image bg budget_room = "gui/bureau_colbert.jpg"
image bg glory_room = "gui/LeVau_glaces.png"
image bg queen_room = "gui/queen_room.jpg"
image bg turenne_room = "gui/turenne_room4.jpg"

image peason = "gui/paysan2.png"
image peason_big = "gui/paysan3.png"
image cardinal = "gui/richelieu3.png"
image noble = "gui/noble.png"
image messengerface = "gui/messengerface.png"
image ragefire = "gui/ragefire.png"
image fureurfire = "gui/fureurfire.png"
image turenne profil = "gui/turenne2.png"

# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

#define e = Character("Eileen")
define r = Character(_('Richelieu'), color="#ff0000")
define n = Character(_('Nobless'), color="#ffd700")
define a = Character(_('Aristocracy'), color="#10069f")
define p = Character(_('Peason'), color="#a0522d")
define t = Character(_('Turenne'), color="#727337")
define g = Character(_('Glory'), color="#797b7a")
define c = Character(_('Colbert'), color="#797b7a")

# Image on the side.


init:
    
    #$ config.mouse = { 'default' : [ ('mouse.png', 0, 0)] }

    $ game_date = [3,1661]
    $ game_round = 0
    $ gold = 0
    $ glory = 0
    $ peason_need = 7000
    #MAJORATION RETARD INDEX____
    #MAX TIME DELAY ACCEPTED____
    $ peason_love = 75
    $ short_term = 3
    $ middle_term = 6
    $ long_term = 12
    $ very_long_term = 18
    $ extra_long_term = 24
    $ giga_long_term = 120
    $ promise_round = 0
    $ promise_gift = 0
    $ promise_shame = False

    $ million = 1000000
    

    $ peason_inhabitants = 20*million

    $ peason_tax_list = ['SWEETHEART','SOFT','HONNEST','ADVERAGE','HARD','ABUSIVE','EXTREM']
    $ peason_tax_numlevel = 3
    $ peason_tax_alphalevel = peason_tax_list[peason_tax_numlevel]    

    $ fiscal_coef = {'SWEETHEART':1,'SOFT':3,'HONNEST':5,'ADVERAGE':7,'HARD':9,'ABUSIVE':11,'EXTREM':13}
    $ peason_gives = peason_inhabitants * fiscal_coef[peason_tax_alphalevel]

    $ soldier_number = 45000
    $ soldier_dailycost = 200
    $ daysoldier = soldier_number * soldier_dailycost     

    $ canon_number = 280
    $ canon_ammo = 3000

    $ cavalry_number = 5000
    $ cavalry_dailycost = 1900
    $ daycavalry = cavalry_number * cavalry_dailycost
    

    $ fregate_number = 40
    $ fregate_dailycost = 25000
    $ dayfregate = fregate_number * fregate_dailycost

    $ totaldaymarmy = daysoldier + daycavalry + dayfregate

    $ dayarmycosts = {'daysoldier':None,'daycavalry':None,'dayfregate':None,'totaldaymarmy':None}




init python:

    def tax_update():
        global peason_tax_list
        global peason_tax_numlevel
        global peason_tax_alphalevel

        peason_tax_alphalevel = peason_tax_list[peason_tax_numlevel]
        return peason_tax_alphalevel





    def peason_tax_up():
        global peason_tax_list
        global peason_tax_numlevel

        if not peason_tax_numlevel == 6:
            peason_tax_numlevel = peason_tax_numlevel + 1
        return peason_tax_numlevel

        


    def peason_tax_down():
        global peason_tax_list
        global peason_tax_numlevel

        if not peason_tax_numlevel == 0:
            peason_tax_numlevel = peason_tax_numlevel - 1

    def national_earn():

        global peason_gives
        global peason_inhabitants
        global fiscal_coef
        global peason_tax_alphalevel
        global gold


        peason_gives = peason_inhabitants * fiscal_coef[peason_tax_alphalevel]

        gold = gold+peason_gives

        return gold

    def peason_attrition():
        global peason_love
        global fiscal_coef
        global peason_love
        global peason_tax_alphalevel

        peason_love = peason_love + (2 * fiscal_coef['SWEETHEART']) - fiscal_coef[peason_tax_alphalevel]

        return peason_love







    def promise_checker():
        global promise_round
        global promise_gift
        global promise_shame
        global peason_love
        global game_round

        if (game_round == promise_round + 1) and (promise_gift > 0):
            promise_shame = True

    def promise_adjustment():
        global peason_love
        global promise_gift
        global promise_shame

        if promise_shame == True:
            peason_love = peason_love - (promise_gift / 100)            
            
            promise_gift = 0
            promise_round = 0
            promise_shame = False

    def promise_dignify():
        global promise_round
        global promise_gift
        global promise_shame
        global peason_love
        global game_round

        promise_gift = 0
        promise_round = 0
        promise_shame = False




    def recruit_soldier():
        global soldier_number
        soldier_number = soldier_number + 1000        
        return soldier_number

    def recruit_cavalry():
        global cavalry_number
        cavalry_number = cavalry_number + 100        
        return cavalry_number

    def build_canon():
        global canon_number
        canon_number = canon_number + 30        
        return canon_number

    def build_fregate():
        global fregate_number
        fregate_number = fregate_number + 1        
        return fregate_number

    def dayarmycosts_compute():

        global dayarmycosts

        global soldier_number
        global soldier_dailycost
        global daysoldier

        global cavalry_number
        global cavalry_dailycost
        global daycavalry

        global fregate_number
        global fregate_dailycost
        global dayfregate

        dayarmycosts['daysoldier'] = soldier_number * soldier_dailycost
        dayarmycosts['daycavalry'] = cavalry_number * cavalry_dailycost
        dayarmycosts['dayfregate'] = fregate_number * fregate_dailycost
        dayarmycosts['totaldaymarmy'] = dayarmycosts['daysoldier'] + dayarmycosts['daycavalry'] + dayarmycosts['dayfregate']

        return dayarmycosts

    def pay_armydailycost():
        global gold

        gold = gold - dayarmycosts['totaldaymarmy']
        return gold

       



# The game starts here.

label start:

    $ dayarmycosts_compute()
    $ pay_armydailycost()

    n "Round [game_round] \n Crown Treasure estimated at [gold] \n Your Glory rises to [glory] \n your popularity is [peason_love] \n promise round is [promise_round] "

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    $ game_round = game_round + 1    
    $ national_earn()
    $ peason_attrition()
    scene bg UI

    if peason_love < 60:
        show ragefire at right
        #if peason_love > 20:
        if peason_love < 20:
            show fureurfire at right

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.    

    #scene main_menu
    
    p "Round [game_round] \n Crown Treasure estimated at [gold] \n Your Glory rises to [glory] \n your popularity is [peason_love] \n promise round is [promise_round] "
    $ promise_checker()
    $ promise_adjustment()
    call screen main_menu 

    # These display lines of dialogue.
 
    # type algo for round 1 = march 1661 (Mazarin death => Louis XIV drives kingdom him-self)

   
label budget_room:
    scene bg budget_room
    menu:
     " I am Colbert your financial ministry" 

     "Peason Tax up":         
         #$ peason_tax_up()
         #$ tax_update()
         $ peason_tax_up()
         $ tax_update()

         c "Peason Tax level is now  [peason_tax_alphalevel]" 
         jump start

     "Peason Tax down":         
         $ peason_tax_down()
         $ tax_update()
         c "Peason Tax level is now  [peason_tax_alphalevel]" 
         jump start

     "one moment i come back...":
         jump start

label glory_room:
    scene bg glory_room
    menu:
     " I am LeVau, your Architect Manager" 

     " Build a new Prestige Room in Versaille":
         n " Merveilleux !, it costs 5 000 000 for 5 000 glory"
         $ gold = gold - (5 * million)
         $ glory = glory + 5000
         jump start

     " I want new beatifull furnitures":
         n "of course my Lord, it costs 250 000 for 225 glory"
         $ gold = gold - 250000
         $ glory = glory + 225
         jump start

     " I would like a nice paint ":
         n "of course my Lord, it costs 175 000 for 140 glory"
         $ gold = gold - 175000
         $ glory = glory + 140
         jump start

     " I would like a funny piece of theater ":
         n "of course my Lord, it costs 50 000 for 25 glory"
         $ gold = gold - 50000
         $ glory = glory + 25
         jump start

     " I want a melody or instrumental ":
         n "of course my Lord, it costs 30 000 for 10 glory"
         $ gold = gold - 30000
         $ glory = glory + 10
         jump start


label queen_room:
    scene bg queen_room
    menu:
     " Maybe i should find a girl, its so quiet here..." 

     "Find a potential queen and get married":        
        "fun +100 (the first year) \n freedom -90 (forever)"
        jump start

     "stay alone":
        "freedom + 100, can participate Pyweek ;-)"
        jump start

     "one moment i come back...":
         jump start


label diplomat_room:
    scene bg diplomat_room 
    with fade
    show messengerface profil at left    

    menu:
     a " What do you wish my Lord ?" 

     "promise Charles II from England to give him military support against Nederland if convert to catholicism (Secret treaty of Dover)":
         n "Businnes is Businnes my Lord ! Arent you Le Roi Soleil ?"
         "PYTHON THIS      $ Nobless-50"
         jump start

     " accept peace with Spain (Pyrenean treaty)":
         "PYTHON THIS      $ Nobless+20 , gold+1000 , Holland-70"         
         n "Nobless are happy for the moment..."
         jump start

     " send our best spy in Vatican to understand their political game":
         jump start

     " ask our alchimist to improve poison detection":
         jump start

     " ask our alchimist to create time poison":
         jump start

     " Propose Non agression pact with Venice Republic":
         jump start

     "one moment i come back...":
         jump start







label turenne_room:
    scene bg turenne_room 
    with fade
    show turenne profil at left

    $ global dayarmycosts

    $ dayarmycosts_compute()
    $ daysoldier = dayarmycosts['daysoldier']
    $ daycavalry = dayarmycosts['daycavalry']
    $ dayfregate = dayarmycosts['dayfregate']
    $ totaldaymarmy = dayarmycosts['totaldaymarmy']

    t "soldier [soldier_number] each [soldier_dailycost] total [daysoldier]\ncavalry [cavalry_number] each [cavalry_dailycost] total [daycavalry]\ncanon [canon_number]\nfregate [fregate_number] each [fregate_dailycost] total [dayfregate]\ntotal ... ... ... ... ... ... ... ... ... ...[totaldaymarmy]"
    #t "soldier [soldier_number] each [soldier_dailycost] total [daysoldier]\ncavalry [cavalry_number] each [cavalry_dailycost] total [daycavalry]\ncanon [canon_number]\nfregate [fregate_number] each [fregate_dailycost] total [dayfregate]\ntotal... ... ... ... ... ... ... ... ...[dayarmy]"

    $ temp_var = False

    menu:
     t " i hate peace, time goes so slowly ! " 

     " engage 1.000 soldiers":
         t " i am going to train them myself !!!"
         $ recruit_soldier()
         
         jump start

     "  build 1 fregate just now !":
                  
         t "thank you my lord !"
         $ build_fregate()
         jump start

     "  SECRET OPERATION : change flag of 10 fregates and support Santo Domingos filibusters to protect Sugar Road":
                  
         t " Nobless +80,  if discovered : Spain -60, England -40, Nederland -20"
         jump start

     " build 30 canons just now !":
         $ build_canon()
         jump start

     " train 100 knight":
         $ recruit_cavalry()
         jump start

     " improve artillery ": # https://zestedesavoir.com/articles/164/artillerie-et-physique-dans-un-jeu-video/#1-lartillerie-antiaerienne-a-lepoque-des-guerres-mondiales
         t " tactic mode +5 per cent efficiency, arcade mode +2° amplitude " #speed, rate, ammo, armor, camouflage
         jump start

     " lets go into war...":
         t "which country do you want to attack ?"
         $ temp_var = True

     "one moment i come back...":
         jump start


    if temp_var == True:
        menu:
            t " which country do you want to attack ? BIS " 

            " Declare war to England":                
                jump start

            "  Declare war to German Empire":
                jump start
                  
            "Declare war to Spain":
                jump start

            "Declare war to Nederland":
                jump start

            "one moment i come back...":
                 jump start


        



        
            
label nobless_room:

    scene bg nobless_room static
    with fade

    show noble at left

    n "my name is noble i make money each second ..."

    menu:
     n " We should increase customs duties on Holland products, their price are too agressive, our business is suffering \n (Nobless+20 gold+1000    Holland-70), what about ?"

     "Do you want war with them ???":
         n "Businnes is Businnes my Lord ! Arent you Le Roi Soleil ?"
         "PYTHON THIS      $ Nobless-50"
         jump start

     "ok you are right, making money is your job !":
         "PYTHON THIS      $ Nobless+20 , gold+1000 , Holland-70"         
         n "Nobless are happy for the moment..."
         jump start

     " lets play speculation, buy Nederland tulip bulb at low price, sell when high":
         n " Sa Majeste Louis XIV is an expert !"
         " buy 5000 tulip bulb at 9 gold each"
         jump start

     "one moment i come back...":
         jump start

   
label richelieu_room:

    scene bg chapelle static
    with fade
    show cardinal at center    

    r "my name is Richelieu i prey god everyday ..."

    menu:
     "Will you help christianity king Louis XIV ?  (50.000 gold required)"

     "NO !!!":
         "Dont forget Judgment day is coming soon, i can ear Apocalypse Knights from here !!!"
         "PYTHON THIS      $ bishop = bishop - 100"
         jump start

     "ok i give you all that you need":
         "PYTHON THIS      $ treasure = treasure - 50000"
         "PYTHON THIS      $ bishop = bishop + 30"
         "Thank you lord, you are god's son !"
         jump start

     "France is poor, but i can help you another way \n I will declare Prostetantism as Heretic (Revocation of the Edict of Nantes)":
         r " I have always known that godfather speak through you !"
         " Nobless - 65  , England - 30, Richelieu +80, Pope + 40"
         # ===> delete 50.000 gold pope request
         jump start

     "one moment i come back...":
         jump start

    #$ renpy.pause(hard=True)


label peason_room:

    scene bg peason_room
    with dissolve    
    show peason_big at truecenter

    if peason_love < 60:
        show ragefire at truecenter        
        if peason_love < 20:
            show fureurfire at truecenter    

    p "my name is Peason and we are very poor we are hungry we can not pay tax this year"

    menu:
     "Will you help poor peason my lord ?  ([peason_need] gold required, current popularity is [peason_love]) \n _debug_ promise_gift = [promise_gift]"

     "Fuck you":
         "Dont worry my lord, revolution is coming soon..."
         $ peason_love = peason_love - 25
         jump start

     "ok i am so happy to help you ! give you all that you need" if promise_gift == 0:
         $ gold = gold - peason_need
         $ peason_love = peason_love + 15

         "Thank you lord, you are god's son !  (peason_love + 15 ==> new popularity is [peason_love])"

         # they are money thirsty, TODO: pop their request
         jump start
  
     "I promise to give you [peason_need] but you have to wait [short_term] months, that's all that i can do" if promise_gift == 0:
         $ promise_round = game_round + short_term
         $ promise_gift = peason_need
         "Thank you lord, we will remember this day as a divine promise...see you round [promise_round] !"
         jump start

     "As agreed, i come to dignify what i promised to you, here is [peason_need] gold" if promise_gift != 0:
         $ gold = gold - peason_need
         $ peason_love = peason_love + 5
         p "better late than never"
         "peason_love + 5  ==>  [peason_love]"
         $ promise_dignify()
         jump start

     "one moment i come back...":
         jump start         

    return